Name:		choqok-weibo
Version:	0.1
Release:	%mkrel 1
Summary:	KDE Micro-Blogging Client for mainland service provider
Source0:	http://opendesktop.org/CONTENT/content-files/147617-%{name}-%{version}.tar.bz2
License:	GPL
Group:		Graphical desktop/KDE
Url:		http://opendesktop.org/content/show.php/choqok-weibo?content=147617
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(QJson)
BuildRequires:	pkgconfig(qoauth)
BuildRequires:	pkgconfig(qca2)
BuildRequires:	choqok-devel >= 1.2

%description
choqok-weibo is a collection of choqok microblog plugins including
choqok-sina choqok-netease and choqok-tencent.

#--------------------------------------------------------------------

%package -n choqok-netease
Summary: Netease micro-blogging plugin for choqok
Group: Graphical desktop/KDE
Requires: choqok >= 1.2

%description -n choqok-netease
Netease micro-blogging plugin for choqok.

%files -n choqok-netease
%_kde_libdir/kde4/choqok_netease.so
%_kde_iconsdir/hicolor/*/apps/netease_microblog.png
%_kde_services/choqok_netease.desktop

#--------------------------------------------------------------------

%package -n choqok-sina
Summary: Sina micro-blogging plugin for choqok
Group: Graphical desktop/KDE
Requires: choqok >= 1.2

%description -n choqok-sina
Sina micro-blogging plugin for choqok.

%files -n choqok-sina
%_kde_libdir/kde4/choqok_sina.so
%_kde_iconsdir/hicolor/*/apps/sina_microblog.png
%_kde_services/choqok_sina.desktop

#--------------------------------------------------------------------

%package -n choqok-tencent
Summary: Tencent micro-blogging plugin for choqok
Group: Graphical desktop/KDE
Requires: choqok >= 1.2

%description -n choqok-tencent
Tencent micro-blogging plugin for choqok.

%files -n choqok-tencent
%_kde_libdir/kde4/choqok_tencent.so
%_kde_iconsdir/hicolor/*/apps/tencent_microblog.png
%_kde_services/choqok_tencent.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build


%changelog

* Fri Dec 16 2011 fwang <fwang> 0.1-1.mga2
+ Revision: 182362
- split sub package
- imported package choqok-weibo

